Subject: Re: bug#65734: [BUG] kill-whole-line on folded subtrees [9.6.8 (release_9.6.8-3-g21171d @ /home/w/usr/emacs/0/29/0/lisp/org/)]
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked], Stefan Kangas <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 27 Jun 2024 11:41:22 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 22 Jun 2024 12:00:26 -0700
> Cc: [email-masked], [email-masked], [email-masked], 
> 	Andrea Corallo <[email-masked]>
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Ihor Radchenko <[email-masked]>
> >> Cc: Sebastian Miele <[email-masked]>, Stefan Monnier
> >>  <[email-masked]>, Stefan Kangas <[email-masked]>,
> >>  [email-masked]
> >> Date: Wed, 19 Jun 2024 14:01:12 +0000
> >>
> >> Eli Zaretskii <[email-masked]> writes:
> >>
> >> > The patches lack suitable ChangeLog-style commit log messages (see
> >> > CONTRIBUTE for details and you can use "git log" to show examples of
> >> > how we do this).
> >> >
> >> > I'd also ask Stefan Monnier and Stefan Kangas to review the patch,
> >> > since this is an important command and I would like to avoid breaking
> >> > it.
> >>
> >> Please see the attached edited patches with proper commit messages.
> >
> > Stefan, Stefan and Andrea, could you please review this?  If you see
> > no problems, let's install this in Emacs 30.
> 
> The patch and proposed behavior makes sense to me.

Thanks, I've now installed this on the emacs-30 branch, and I'm
closing the bug.

Btw, the new tests broke simple-tests (because they caused packages be
loaded that affected the completion tested by one of the tests.  I
fixed that, but please always run the relevant test files whenever you
modify them, don't assume that adding or modifying a test will never
affect other tests in the same file.